Trying to build Qt 4.12.4 from source



  • I made it to the step where we generate build files with cmake and I entered the following command:
    cmake -DCMAKE_BUILD_TYPE=Release -G Ninja "-DCMAKE_PREFIX_PATH=~/qt6-build;~/Downloads/libclang" ~/qt-creator-opensource-src-4.12.4

    This is the log I get after running this command:

    -- Could NOT find DesignerComponents (missing: Qt5Designer_INCLUDE_DIRS)
    -- Could NOT find elfutils (missing: ELFUTILS_INCLUDE_DIR ELFUTILS_LIB_dw ELFUTILS_LIB_elf)
    -- PerfParser is disabled. Set ELFUTILS_INSTALL_DIR to enable it.
    -- Found PythonInterp: /usr/bin/python (found version "2.7.18")
    CMake Warning at share/qtcreator/translations/CMakeLists.txt:12 (message):
    No python3 interpreter found, skipping extraction of data from XML and JSON
    files.

    *** Please pass -DPYTHON_EXECUTABLE=/path/to/python3 to cmake.

    CMake Error at cmake/CMakeLists.txt:10 (get_target_property):
    get_target_property() called with non-existent target "Qt5::moc".

    I have latest CMake, LLVM, and Python3 installed


  • Moderators

    You've got Qt in the title and qt-creator in the command. Qt 4.12.4 in the title and /qt6-build in the command

    What are you actually trying to build? Qt or Qt Creator? Which version and if creator then against which Qt? On what platform?



  • This post is deleted!

Log in to reply